Download it now!
Bug 120625 - kde5: Copy and paste of Calc cell not working
Summary: kde5: Copy and paste of Calc cell not working
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.0.1 target:6.2.1
Keywords:
: 120860 (view as bug list)
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-15 15:57 UTC by Michael Weghorn
Modified: 2019-02-04 16:24 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Screencast - strange behavior of copy & paste (2.51 MB, video/webm)
2019-01-14 00:18 UTC, Franklin Weng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-10-15 15:57:33 UTC
Version: 6.2.0.0.alpha0+
Build ID: ba6723431afa843232fadf44e12ddab44e85c9f0
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); Calc: threaded

This is specific to the qt5/kde5 VCL plugin. It works as expected when using e.g. the gtk3 VCL plugin instead.

Steps to reproduce:

1) open a new document in Calc
2) insert some text into cell A1, e.g. type "hello"
3) press enter to finish typing
4) do a single left mouse click on cell A1 to select it
5) copy (Ctrl+C)
6) open a new Calc document (Ctrl+N)
7) try to paste into the new document (Ctrl+V)

Result: The content from cell A1 from the previous document is NOT copied. The clipboard content that used to be there before seems to be inserted instead (whatever that may be...)

Expected result: cell A1 in the new document should be filled with the text copied from cell A1 from the previous document (where the "copy" operation was performed)
Comment 1 Commit Notification 2018-12-07 09:20:35 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1e3d6c801ffa051f42188c917b17f171aedaeddf%5E%21

tdf#120625: All vcl windows now share 1 instance of clipboard

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Katarina Behrens (Inactive) 2018-12-07 09:43:49 UTC
Leaving this bug open cuz while CnP between apps should work reasonably well by now, CnP to/from system clipboard is still a bit flaky
Comment 3 Katarina Behrens (Inactive) 2018-12-07 09:55:41 UTC
*** Bug 120860 has been marked as a duplicate of this bug. ***
Comment 4 Michael Weghorn 2018-12-07 23:49:19 UTC
Also, pasting works just once, e.g. a dialog to select insert options appears when adding step

8) click into another cell (e.g. B1) and paste again (Ctrl+V)

This also happens when just using a single document.
Comment 5 Katarina Behrens (Inactive) 2018-12-08 13:07:24 UTC
> Also, pasting works just once, e.g. a dialog to select insert options
> appears when adding step
> 
> 8) click into another cell (e.g. B1) and paste again (Ctrl+V)
> 
> This also happens when just using a single document.

Can't confirm but it can be due to some not-yet-committed local changes I have here
Comment 6 Commit Notification 2018-12-14 14:02:10 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/4963b550f6b3994853a318bdc497a2838334495f%5E%21

tdf#120625: All vcl windows now share 1 instance of clipboard

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Franklin Weng 2019-01-14 00:18:39 UTC
Created attachment 148295 [details]
Screencast - strange behavior of copy & paste


In 6.2.0.2 the behavior is even more strange.

1. Input "hello" / "test" strings in cells of file 1.
2. Left-click on the cell with strings and press Ctrl+C
3. Open a new Calc file 
4. Paste it on a random cell of file 2.
5. Switch windows between file 1 and 2.

I found that the original data in file 1 was gone.

Please see the attached video.
Comment 8 Vera Blagoveschenskaya 2019-01-15 14:00:00 UTC
I tested with 

Version: 6.3.0.0.alpha0+
Build ID: 35ea8fc24ae749b8a87b7ddb5df22ecc4f58cfd3
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-15_01:16:13
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

(In reply to Michael Weghorn from comment #4)
> Also, pasting works just once, e.g. a dialog to select insert options
> appears when adding step
> 
> 8) click into another cell (e.g. B1) and paste again (Ctrl+V)
> 
> This also happens when just using a single document.

Can't confirm for now.

(In reply to Franklin Weng from comment #7)
> Created attachment 148295 [details]
> Screencast - strange behavior of copy & paste
> 
> 
> In 6.2.0.2 the behavior is even more strange.
> 
> 1. Input "hello" / "test" strings in cells of file 1.
> 2. Left-click on the cell with strings and press Ctrl+C
> 3. Open a new Calc file 
> 4. Paste it on a random cell of file 2.
> 5. Switch windows between file 1 and 2.
> 
> I found that the original data in file 1 was gone.
> 
> Please see the attached video.

Works fine for 6.3.0.0.

I use ALT Linux kworkstation 8.2
Comment 9 Michael Weghorn 2019-01-15 16:06:44 UTC
(In reply to Vera Blagoveschenskaya from comment #8)
> (In reply to Michael Weghorn from comment #4)
> > Also, pasting works just once, e.g. a dialog to select insert options
> > appears when adding step
> > 
> > 8) click into another cell (e.g. B1) and paste again (Ctrl+V)
> > 
> > This also happens when just using a single document.
> 
> Can't confirm for now.

I can't reproduce any more with current master (as of commit 2d3d55e57b916e19c2c75228f7abeecda52716d6) either. Might have been fixed in the meanwhile.

> 
> (In reply to Franklin Weng from comment #7)
> [...]
> Works fine for 6.3.0.0.
> 
> I use ALT Linux kworkstation 8.2

I also cannot reproduce with current master. In any case, this looks like a different issue, so I'd suggest to open a new bug report.


(In reply to Katarina Behrens (CIB) from comment #2)
> Leaving this bug open cuz while CnP between apps should work reasonably well
> by now, CnP to/from system clipboard is still a bit flaky

@bubli: Is this flakiness you mean the same as described in bug 122689?
Since the original bug is solved, I think it would make sense close this one here and track remaining issues in separate bug reports (and create those if not yet present).
Comment 10 Katarina Behrens (Inactive) 2019-01-15 21:59:07 UTC
Bah I'm almost afraid to continue working on https://gerrit.libreoffice.org/65003
now that you people all say the bug as originally reported and its spin-offs are fixed
Comment 11 Michael Weghorn 2019-01-15 22:20:00 UTC
(In reply to Katarina Behrens (CIB) from comment #10)
> Bah I'm almost afraid to continue working on
> https://gerrit.libreoffice.org/65003
> now that you people all say the bug as originally reported and its spin-offs
> are fixed

Oh, please do continue working on it. I wasn't even aware of this change in Gerrit.
I just thought that it was a bit hard to say from reading this bug report what exactly was still missing, but if you as the developer working on it have a plan, that's great! :)
Comment 12 Commit Notification 2019-01-21 09:48:01 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3fa4674615b747e219afe5bf0a9b689df3840439%5E%21

Related tdf#120625: improve querying supported data flavours

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Katarina Behrens (Inactive) 2019-01-21 10:08:09 UTC
I'm closing this one, should there be any issues left, let's follow up on those in bug 122689, bug 122239 respectively
Comment 14 Vera Blagoveschenskaya 2019-01-23 11:13:11 UTC
Version: 6.3.0.0.alpha0+
Build ID: 6e80862ee6851b75fc7fa628156400bb044391ee
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-22_16:54:24
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

I've cheched Comment#0 and Comment#4
Copy and Paste works fine.

Thanks, Katarina!
Comment 15 Commit Notification 2019-02-04 16:24:27 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/2b77e50cfe6fa06b7f7193d0a170553bdab63718%5E%21

Related tdf#120625: improve querying supported data flavours

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.